Skip to main content
PUT
/
api
/
product-types
/
{key}
/
properties
/
{prop_key}
/
enrichment-config
Set enrichment config override for a property
curl --request PUT \
  --url https://api.merchantops.ai/api/product-types/{key}/properties/{prop_key}/enrichment-config \
  --header 'Content-Type: application/json' \
  --data '
{
  "ai_matching_guidance": "<string>",
  "enrichment_config": {
    "extraction_hint": "<string>",
    "generation_context_fields": [
      "<string>"
    ],
    "generation_prompt": "<string>",
    "llm_model": "<string>",
    "max_length": 123,
    "overwrite_merchant_input": true,
    "source_priority": [
      "<string>"
    ],
    "strategies": [
      "<string>"
    ]
  },
  "prompt_name": "<string>"
}
'
{
  "has_override": true,
  "product_type_key": "<string>",
  "property_key": "<string>",
  "ai_matching_guidance": "<string>",
  "enrichment_config": {},
  "prompt_name": "<string>"
}

Headers

authorization
string | null
X-Organization-ID
string | null

Path Parameters

key
string
required
prop_key
string
required

Cookies

stytch_session
string | null

Body

application/json

Request to set enrichment overrides for a property on a product type.

ai_matching_guidance
string | null
enrichment_config
EnrichmentConfigDict · object

Request/response model for an enrichment config.

prompt_name
string | null

Response

Successful Response

Response after setting or clearing an enrichment override.

has_override
boolean
required
product_type_key
string
required
property_key
string
required
ai_matching_guidance
string | null
enrichment_config
Enrichment Config · object
prompt_name
string | null